File: Makefile.PL

package info (click to toggle)
libtext-glob-perl 0.10-1
  • links: PTS, VCS
  • area: main
  • in suites: buster, sid, stretch
  • size: 88 kB
  • ctags: 5
  • sloc: perl: 200; makefile: 2
file content (51 lines) | stat: -rw-r--r-- 1,407 bytes parent folder | download
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
use strict;
use warnings;
use ExtUtils::MakeMaker;

ExtUtils::MakeMaker->VERSION(6.98) if -f '.gitignore';

my %WriteMakefileArgs = (
    NAME                => 'Text::Glob',
    VERSION_FROM        => 'lib/Text/Glob.pm',
    ABSTRACT_FROM       => 'lib/Text/Glob.pm',
    AUTHOR              => 'Richard Clamp <richardc@unixbeard.net>',
    LICENSE             => 'perl_5',
    MIN_PERL_VERSION    => '5.00503',

    CONFIGURE_REQUIRES => {
        'ExtUtils::MakeMaker' => '0',
    },
    PREREQ_PM => {
        'Exporter' => '0',
        'constant' => '0',
    },
    TEST_REQUIRES => {
        'Test::More' => '0',
    },

    META_MERGE => {
        'meta-spec' => { version => 2 },
        dynamic_config => 0,
        resources => {
            bugtracker => {
                mailto => 'richardc@unixbeard.net',
            },
        },
    },
);

# degrade gracefully for older EUMM/older perls

if (!eval { ExtUtils::MakeMaker->VERSION('6.6303') }) {
    $WriteMakefileArgs{BUILD_REQUIRES} = $WriteMakefileArgs{TEST_REQUIRES};
    delete $WriteMakefileArgs{TEST_REQUIRES};
}

if (!eval { ExtUtils::MakeMaker->VERSION('6.5501') }) {
    @{$WriteMakefileArgs{PREREQ_PM}}{ keys %{$WriteMakefileArgs{BUILD_REQUIRES}} } =
        @{$WriteMakefileArgs{BUILD_REQUIRES}}{ keys %{$WriteMakefileArgs{BUILD_REQUIRES}} };

    delete $WriteMakefileArgs{BUILD_REQUIRES};
}

WriteMakefile(%WriteMakefileArgs);